<?php
/**
 * CalculateForCheckoutResponseDataDiscountsTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\MarketingClient;

use PHPUnit\Framework\TestCase;

/**
 * CalculateForCheckoutResponseDataDiscountsTest Class Doc Comment
 *
 * @category    Class
 * @description CalculateForCheckoutResponseDataDiscounts
 * @package     Ensi\MarketingClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class CalculateForCheckoutResponseDataDiscountsTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "CalculateForCheckoutResponseDataDiscounts"
     */
    public function testCalculateForCheckoutResponseDataDiscounts()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }

    /**
     * Test attribute "external_type"
     */
    public function testPropertyExternalType()
    {
    }

    /**
     * Test attribute "change"
     */
    public function testPropertyChange()
    {
    }

    /**
     * Test attribute "seller_id"
     */
    public function testPropertySellerId()
    {
    }

    /**
     * Test attribute "visible_in_catalog"
     */
    public function testPropertyVisibleInCatalog()
    {
    }

    /**
     * Test attribute "promo_code_only"
     */
    public function testPropertyPromoCodeOnly()
    {
    }

    /**
     * Test attribute "promo_code"
     */
    public function testPropertyPromoCode()
    {
    }
}
